=begin
#CityPay Payment API

# This CityPay API is a HTTP RESTful payment API used for direct server to server transactional processing. It provides a number of payment mechanisms including: Internet, MOTO, Continuous Authority transaction processing, 3-D Secure decision handling using RFA Secure, Authorisation, Refunding, Pre-Authorisation, Cancellation/Voids and Completion processing. The API is also capable of tokinsed payments using Card Holder Accounts.  ## Compliance and Security <aside class=\"notice\">   Before we begin a reminder that your application will need to adhere to PCI-DSS standards to operate safely   and to meet requirements set out by Visa and MasterCard and the PCI Security Standards Council including: </aside>  * Data must be collected using TLS version 1.2 using [strong cryptography](#enabled-tls-ciphers). We will not accept calls to our API at   lower grade encryption levels. We regularly scan our TLS endpoints for vulnerabilities and perform TLS assessments   as part of our compliance program. * The application must not store sensitive card holder data (CHD) such as the card security code (CSC) or   primary access number (PAN) * The application must not display the full card number on receipts, it is recommended to mask the PAN   and show the last 4 digits. The API will return this for you for ease of receipt creation * If you are developing a website, you will be required to perform regular scans on the network where you host the   application to meet your compliance obligations * You will be required to be PCI Compliant and the application must adhere to the security standard. Further information   is available from [https://www.pcisecuritystandards.org/](https://www.pcisecuritystandards.org/) * The API verifies that the request is for a valid account and originates from a trusted source using the remote IP   address. Our application firewalls analyse data that may be an attempt to break a large number of security common   security vulnerabilities. 

Contact: support@citypay.com
Generated by: https://openapi-generator.tech
OpenAPI Generator version: 5.0.0-SNAPSHOT

=end

require 'spec_helper'
require 'json'
require 'date'

# Unit tests for CityPayApiClient::AuthResponse
# Automatically generated by openapi-generator (https://openapi-generator.tech)
# Please update as you see appropriate
describe 'AuthResponse' do
  before do
    # run before each test
    json = '
{
    "AuthResponse": {
        "amount": 5500,
        "atrn": "atrn1",
        "atsd": "a",
        "authcode": "12345",
        "authen_result": "R",
        "authorised": true,
        "avs_result": "G",
        "bin_commercial": false,
        "bin_debit": false,
        "bin_description": "bin_desc",
        "cavv": "cavvvvvvvvvvvvv",
        "context": "20200812075906AAAGV4",
        "csc_result": "C",
        "currency": "GBP",
        "datetime": "2020-08-12T07:59:11Z",
        "eci": "0",
        "identifier": "ident1",
        "live": true,
        "maskedpan": "400000******0002",
        "merchantid": 12345,
        "result": 1,
        "result_code": "000",
        "result_message": "System: Accepted Transaction",
        "scheme": "VISA_BUSINESS",
        "sha256": "abcdefg",
        "trans_status": "P",
        "transno": 74875
    }
}
'
    data = JSON.parse(json, :symbolize_names => true)
    @instance = CityPayApiClient::ApiClient.new.convert_to_type(data, "AuthResponse")
  end

  after do
    # run after each test
  end

  describe 'test an instance of AuthResponse' do
    it 'should create an instance of AuthResponse' do
      expect(@instance).to be_instance_of(CityPayApiClient::AuthResponse)
    end
  end
  describe 'test attribute "amount"' do
    it 'should work' do
      expect(@instance.amount).to eq(5500)
    end
  end

  describe 'test attribute "atrn"' do
    it 'should work' do
          expect(@instance.atrn).to eq("atrn1")
    end
  end

  describe 'test attribute "atsd"' do
    it 'should work' do
      expect(@instance.atsd).to eq("a")
    end
  end

  describe 'test attribute "authcode"' do
    it 'should work' do
      expect(@instance.authcode).to eq("12345")
    end
  end

  describe 'test attribute "authen_result"' do
    it 'should work' do
      expect(@instance.authen_result).to eq("R")
    end
  end

  describe 'test attribute "authorised"' do
    it 'should work' do
      expect(@instance.authorised).to eq(true)
    end
  end

  describe 'test attribute "avs_result"' do
    it 'should work' do
      expect(@instance.avs_result).to eq("G")
    end
  end

  describe 'test attribute "bin_commercial"' do
    it 'should work' do
      expect(@instance.bin_commercial).to eq(false)
    end
  end

  describe 'test attribute "bin_debit"' do
    it 'should work' do
      expect(@instance.bin_debit).to eq(false)
    end
  end

  describe 'test attribute "bin_description"' do
    it 'should work' do
      expect(@instance.bin_description).to eq("bin_desc")
    end
  end

  describe 'test attribute "cavv"' do
    it 'should work' do
      expect(@instance.cavv).to eq("cavvvvvvvvvvvvv")
    end
  end

  describe 'test attribute "context"' do
    it 'should work' do
      expect(@instance.context).to eq("20200812075906AAAGV4")
    end
  end

  describe 'test attribute "csc_result"' do
    it 'should work' do
      expect(@instance.csc_result).to eq("C")
    end
  end

  describe 'test attribute "currency"' do
    it 'should work' do
      expect(@instance.currency).to eq("GBP")
    end
  end

  describe 'test attribute "datetime"' do
    it 'should work' do
      expect(@instance.datetime).to eq(DateTime.parse("2020-08-12T07:59:11Z"))
    end
  end

  describe 'test attribute "eci"' do
    it 'should work' do
      expect(@instance.eci).to eq("0")
    end
  end

  describe 'test attribute "identifier"' do
    it 'should work' do
      expect(@instance.identifier).to eq("ident1")
    end
  end

  describe 'test attribute "live"' do
    it 'should work' do
      expect(@instance.live).to eq(true)
    end
  end

  describe 'test attribute "maskedpan"' do
    it 'should work' do
      expect(@instance.maskedpan).to eq("400000******0002")
    end
  end

  describe 'test attribute "merchantid"' do
    it 'should work' do
      expect(@instance.merchantid).to eq(12345)
    end
  end

  describe 'test attribute "result"' do
    it 'should work' do
      expect(@instance.result).to eq(1)
    end
  end

  describe 'test attribute "result_code"' do
    it 'should work' do
      expect(@instance.result_code).to eq("000")
    end
  end

  describe 'test attribute "result_message"' do
    it 'should work' do
      expect(@instance.result_message).to eq("System: Accepted Transaction")
    end
  end

  describe 'test attribute "scheme"' do
    it 'should work' do
      expect(@instance.scheme).to eq("VISA_BUSINESS")
    end
  end

  describe 'test attribute "sha256"' do
    it 'should work' do
      expect(@instance.sha256).to eq("abcdefg")
    end
  end

  describe 'test attribute "trans_status"' do
    it 'should work' do
      expect(@instance.trans_status).to eq("P")
    end
  end

  describe 'test attribute "transno"' do
    it 'should work' do
      expect(@instance.transno).to eq(74875)
    end
  end

end
